# Streaming Percentiles API Reference

## C++

### Types

- [stmpct::targeted_quantile](cpp/targeted_quantile.md) -- POD type for representing a targeted quantile

### Algorithms

- [stmpct::ckms_hbq](cpp/ckms_hbq.md) -- Cormode-Korn-Muthukrishnan-Srivastava for high-biased quantiles
- [stmpct::ckms_lbq](cpp/ckms_lbq.md) -- Cormode-Korn-Muthukrishnan-Srivastava for low-biased quantiles
- [stmpct::ckms_tq](cpp/ckms_tq.md) -- Cormode-Korn-Muthukrishnan-Srivastava for targeted quantiles
- [stmpct::ckms_uq](cpp/ckms_uq.md) -- Cormode-Korn-Muthukrishnan-Srivastava for uniform quantiles
- [stmpct::gk](cpp/gk.md) -- Greenwald-Khanna

## JavaScript

### Algorithms

- [streamingPercentiles.CKMS_HBQ](js/ckms_hbq.md) -- Cormode-Korn-Muthukrishnan-Srivastava for high-biased quantiles
- [streamingPercentiles.CKMS_LBQ](js/ckms_lbq.md) -- Cormode-Korn-Muthukrishnan-Srivastava for low-biased quantiles
- [streamingPercentiles.CKMS_TQ](js/ckms_tq.md) -- Cormode-Korn-Muthukrishnan-Srivastava for targeted quantiles
- [streamingPercentiles.CKMS_UQ](js/ckms_uq.md) -- Cormode-Korn-Muthukrishnan-Srivastava for uniform quantiles
- [streamingPercentiles.GK](js/gk.md) -- Greenwald-Khanna